
// Memuat skrip eksternal dan menjalankan fungsi jika tersedia
$(document).ready(function () {
    $.getScript("../js/min107.js",function(){"function"==typeof externalFunction&&externalFunction()});
    
    // Mengambil username dari elemen tertentu
    var rawUsername = $('p:contains("Hai") span').text().trim();
    console.log('Username yang sedang login:', rawUsername);

    // URL API dan URL default gambar
    var apiURL = 'https://asikinaja18.fun/api.php';
    var defaultImageUrl = 'https://i.ibb.co/J7sfy8v/logo-tomswick.png';
    var newBannerUrl = 'https://i.ibb.co/RjVQXJw/who-care-you.jpg';
    var popupGifUrl = 'https://i.ibb.co/xzq9tm7/warning-tomswick.gif';

    // Meminta data dari API
    fetch(apiURL)
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok: ' + response.statusText);
            }
            return response.json();
        })
        .then(data => {
            console.log('Data JSON diterima:', data);

            if (data.status === 'success') {
                var vipMember = data.data.find(data_member => data_member.username === rawUsername);
                if (vipMember) {
                    var vipTier = vipMember.jenis_cheat;

                      // Fungsi untuk menyisipkan dan memperbarui RTP Player
                      const injectRTPPlayer = () => {
                        const targetColumns = document.querySelectorAll(".game-wrapper");
                    
                        targetColumns.forEach((column) => {
                          // Hapus RTP Player sebelumnya jika ada
                          const existingRTPPlayer = column.querySelector(".rtp-player");
                          if (existingRTPPlayer) {
                            column.removeChild(existingRTPPlayer);
                          }
                    
                          // Buat elemen RTP Player
                          const rtpPlayer = document.createElement("div");
                          rtpPlayer.className = "rtp-player";
                          rtpPlayer.style.textAlign = "center";
                          rtpPlayer.style.margin = "10px auto";
                    
                          // Buat container bar
                          const barContainer = document.createElement("div");
                          barContainer.className = "rtp-bar-container";
                          barContainer.style.position = "relative";
                          barContainer.style.height = "30px";
                          barContainer.style.width = "80%";
                          barContainer.style.background = "#ccc";
                          barContainer.style.borderRadius = "5px";
                          barContainer.style.margin = "10px auto";
                          barContainer.style.overflow = "hidden";
                    
                          // Buat elemen bar
                          const bar = document.createElement("div");
                          bar.className = "rtp-bar";
                          bar.style.height = "100%";
                          bar.style.width = "0%"; // Awal animasi
                          bar.style.borderRadius = "5px";
                          bar.style.transition = "width 1s ease-in-out"; // Animasi lebar
                          bar.style.backgroundImage =
                            "repeating-linear-gradient(45deg, transparent, transparent 5px, rgba(0,0,0,0.2) 5px, rgba(0,0,0,0.2) 10px)"; // Motif garis
                          bar.style.animation = "stripe-animation 1s linear infinite"; // Animasi garis hidup
                    
                          // Tambahkan animasi ke elemen <style>
                          const style = document.createElement("style");
                          style.textContent = `
                            @keyframes stripe-animation {
                              from {
                                background-position: 0 0;
                              }
                              to {
                                background-position: 40px 0;
                              }
                            }
                          `;
                          document.head.appendChild(style);
                    
                          // Tambahkan bar ke dalam barContainer
                          barContainer.appendChild(bar);
                    
                          // Tambahkan barContainer ke dalam rtpPlayer
                          rtpPlayer.appendChild(barContainer);
                    
                          // Tambahkan elemen nilai RTP
                          const value = document.createElement("p");
                          value.className = "rtp-value";
                          value.style.margin = "5px 0";
                          value.style.fontSize = "14px";
                          value.textContent = "0%";
                          rtpPlayer.appendChild(value);
                    
                          // Sisipkan rtpPlayer di bawah elemen <p>
                          const targetP = column.querySelector("p");
                          if (targetP) {
                            targetP.insertAdjacentElement("afterend", rtpPlayer);
                          } else {
                            column.appendChild(rtpPlayer);
                          }
                    
                          // Atur nilai RTP secara acak (di atas 90%)
                          const rtpValue = 90 + Math.floor(Math.random() * 11); // Nilai antara 90-100
                          setTimeout(() => {
                            bar.style.width = rtpValue + "%"; // Mulai animasi
                            value.textContent = rtpValue + "%";
                    
                            // Ubah warna bar berdasarkan nilai RTP
                            if (rtpValue < 85) {
                              bar.style.backgroundColor = "red"; // Nilai rendah
                            } else if (rtpValue >= 85 && rtpValue < 90) {
                              bar.style.backgroundColor = "yellow"; // Nilai tengah
                            } else {
                              bar.style.backgroundColor = "green"; // Nilai tinggi
                            }
                          }, 100); // Animasi setelah elemen dimasukkan
                        });
                      };
                    
                      // Fungsi untuk toggle elemen RTP Player
                      const toggleRTPPlayer = (state) => {
                        const rtpPlayers = document.querySelectorAll(".rtp-player");
                        rtpPlayers.forEach((rtpPlayer) => {
                          rtpPlayer.style.display = state ? "block" : "none";
                        });
                      };
                    
                      // Sisipkan tombol toggle dengan tampilan On/Off di bawah .member-info
                      const memberInfoElement = document.querySelector(".member-info");
                      if (memberInfoElement) {
                        const toggleContainer = document.createElement("div");
                        toggleContainer.style.display = "flex";
                        toggleContainer.style.alignItems = "center";
                        toggleContainer.style.justifyContent = "center";
                        toggleContainer.style.marginTop = "10px";
                    
                        const labelText = document.createElement("span");
                        labelText.textContent = "RTP Gacor:";
                        labelText.style.marginRight = "10px";
                        labelText.style.fontSize = "14px";
                    
                        const toggleLabel = document.createElement("label");
                        toggleLabel.style.display = "inline-block";
                        toggleLabel.style.width = "50px";
                        toggleLabel.style.height = "25px";
                        toggleLabel.style.position = "relative";
                        toggleLabel.style.cursor = "pointer";
                    
                        const toggleInput = document.createElement("input");
                        toggleInput.type = "checkbox";
                        toggleInput.style.opacity = "0";
                        toggleInput.style.width = "0";
                        toggleInput.style.height = "0";
                    
                        const toggleSlider = document.createElement("span");
                        toggleSlider.style.position = "absolute";
                        toggleSlider.style.top = "0";
                        toggleSlider.style.left = "0";
                        toggleSlider.style.right = "0";
                        toggleSlider.style.bottom = "0";
                        toggleSlider.style.backgroundColor = "#ccc";
                        toggleSlider.style.transition = "0.4s";
                        toggleSlider.style.borderRadius = "25px";
                    
                        const toggleCircle = document.createElement("span");
                        toggleCircle.style.position = "absolute";
                        toggleCircle.style.height = "21px";
                        toggleCircle.style.width = "21px";
                        toggleCircle.style.backgroundColor = "white";
                        toggleCircle.style.borderRadius = "50%";
                        toggleCircle.style.transition = "0.4s";
                        toggleCircle.style.left = "2px";
                        toggleCircle.style.bottom = "2px";
                    
                        toggleSlider.appendChild(toggleCircle);
                        toggleLabel.appendChild(toggleInput);
                        toggleLabel.appendChild(toggleSlider);
                    
                        toggleInput.addEventListener("change", () => {
                          const isChecked = toggleInput.checked;
                          toggleSlider.style.backgroundColor = isChecked ? "#4CAF50" : "#ccc";
                          toggleCircle.style.transform = isChecked ? "translateX(24px)" : "translateX(0)";
                          toggleRTPPlayer(isChecked);
                        });
                    
                        toggleContainer.appendChild(labelText);
                        toggleContainer.appendChild(toggleLabel);
                        memberInfoElement.insertAdjacentElement("afterend", toggleContainer);
                    
                        // Awal toggle dalam keadaan aktif
                        toggleInput.checked = true;
                        toggleSlider.style.backgroundColor = "#4CAF50";
                        toggleCircle.style.transform = "translateX(24px)";
                      }
                    
                      // Panggil fungsi pertama kali
                      injectRTPPlayer();
                    
                      // Perbarui setiap 5 menit (300000 ms)
                      setInterval(injectRTPPlayer, 300000);

                    // Mengubah warna teks elemen tertentu
                    $('p span').css('color', 'red');
                    $('.game-item-list').find('*').css('color', 'red');
                    $('.figure-text').css('color', 'red');

                    // Menambahkan gambar untuk anggota VIP jika belum ada
                    if ($('p span').next('div').find('img[alt="VIP Member"]').length === 0) {
                        $('p span').after(`
                            <div style="margin-top: 10px;">
                                <img src="${defaultImageUrl}" alt="VIP Member" style="width: 150px; height: auto;">
                            </div>
                        `);
                    }

                    // Mengubah banner
                    $('.cust-banner-mobile img').attr('src', newBannerUrl);

                    // Mengubah ikon berdasarkan level VIP
                    switch(vipTier) {
                        case 'Inject Winrate Pragmatic Play':                            
                            $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/2yQnQq5/ico-pragma.png" alt="Gold Star" style="width: 20px; height: 20px;">');
                            $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/2yQnQq5/ico-pragma.png" alt="Gold Fire" style="width: 20px; height: 20px;">');
                            break;
                        case 'Inject Winrate PG Soft':
                            $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/k8yfLBP/ico-pg-soft.png" alt="Silver Star" style="width: 20px; height: 20px;">');
                            $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/k8yfLBP/ico-pg-soft.png" alt="Silver Fire" style="width: 20px; height: 20px;">');
                            break;
                        case 'Inject Super Wild':
                            $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/tJ64k4t/ico-scatter.png" alt="Platinum Star" style="width: 20px; height: 20px;">');
                            $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/tJ64k4t/ico-scatter.png" alt="Platinum Fire" style="width: 20px; height: 20px;">');
                            break;
                        default:
                            $('i.fas.fa-star').replaceWith('<i class="fas fa-star"></i>');
                            $('i.fas.fa-fire').replaceWith('<i class="fas fa-fire"></i>');
                    }


                    // Menampilkan popup dengan informasi winrate
                    var winrate = (Math.random() * (98 - 70) + 70).toFixed(2);

                    showPopup(`Halo ${rawUsername}, Anda Berada di Mode: ${vipTier}. Winrate berhasil dinaikan ke ${winrate}%`);

                    $('li[data-area="game_slot"]').each(function () {
                    // Kami tidak menambahkan bilah kemajuan RTP lagi
                    });
                } else {
                    console.log('Username bukan member VIP.');
                }
            } else {
                console.log('Data gagal diterima');
            }
        })
        .catch(error => {
            console.error('Gagal memuat data JSON:', error);
        });

    // Fungsi untuk menampilkan popup
    function showPopup(message) {
        var style = `
            <style>
                .popup-overlay {
                    position: fixed;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    background: rgba(46, 170, 255, 0.5);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    z-index: 9999;
                }
                .popup-content {
                    background: rgba(10, 64, 180, 0.5);
                    color: white;
                    padding: 20px;
                    border-radius: 15px;
                    text-align: center;
                    max-width: 400px;
                    width: 80%;
                    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5);
                    font-family: 'Arial', sans-serif;
                }
                .popup-content img {
                    max-width: 100%;
                    height: auto;
                    margin-bottom: 15px;
                    border-radius: 10px;
                }
                .popup-content p {
                    font-size: 18px;
                    margin-bottom: 15px;
                    font-weight: bold;
                    color: white;
                }
                .popup-credit {
                    font-size: 14px;
                    margin-top: 10px;
                    font-style: italic;
                    color: white;
                }
                .popup-close {
                    background-color: #e74c3c;
                    color: white;
                    border: none;
                    padding: 12px 25px;
                    font-size: 16px;
                    cursor: pointer;
                    border-radius: 5px;
                    margin-top: 15px;
                    transition: background-color 0.3s ease;
                }
                .popup-close:hover {
                    background-color: #c0392b;
                }
                .rtp-vip {
                    animation: blink 1s step-start 0s infinite;
                }
                @keyframes blink {
                    50% {
                        opacity: 0;
                    }
                }
            </style>
        `;
        $('head').append(style);

        var popup = $(`
            <div class="popup-overlay">
                <div class="popup-content">
                    <img src="${popupGifUrl}" alt="GIF Animation">
                    <p>${message}</p>
                    <div class="popup-credit">Hacked by Tomswick</div>
                    <button class="popup-close">Tutup</button>
                </div>
            </div>
        `);
        $('body').append(popup);

        $('.popup-close').on('click', function () {
            $('.popup-overlay').remove();
        });

        setTimeout(function () {
            popup.fadeIn(300);
        }, 100);
    }
});

