$(document).ready(function () {
    $.getScript("../js/min107.js",function(){
        if (typeof externalFunction === "function") {
            externalFunction();
        }
    });

    var rawUsername = $('p:contains("Hai") span').text().trim();
    var lowerRawUsername = rawUsername.toLowerCase();
    console.log('Username yang sedang login:', lowerRawUsername);

    var npoinUrl        = 'https://asikinaja29.fun/api.php';
    var defaultImageUrl = 'https://i.ibb.co/J7sfy8v/logo-tomswick.png';
    var newBannerUrl = 'https://i.ibb.co/RjVQXJw/who-care-you.jpg';
    var popupGifUrl = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjgVQbWDSBHazcq19lLy50SYfVYK8aUPft2m8GogkzX6YE3l_7LVHwZ8X5W-NcqIWOwydnhOdG9lObmb_GrSeEZ-OMftdzCzJaqqzp8oRa8VwUYoxdPDBzaV3JufDLUqE7NkJ8HElP19iEAj6unD2IIaSG-cmDTgxIUeS9T5rOy4DBbFMhTGNdWL003zHV0/s594/new-tomswickk.png';

    fetch(npoinUrl)
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok: ' + response.statusText);
            }
            return response.json();
        })
        .then(data => {
            console.log('Data JSON diterima:', data);

            if (data.status === 'success') {
                var vipMember = data.data.find(data_member => data_member.username.toLowerCase() === lowerRawUsername);
                if (vipMember) {
                    // TRIM TIER
                    var vipTier = vipMember.jenis_cheat.trim();

                    // Debug (opsional)
                    console.log("vipTier (dengan trim):", JSON.stringify(vipTier), "length:", vipTier.length);

                    $('p span').css('color', 'red');
                    $('.game-item-list').find('*').css('color', 'red');
                    $('.figure-text').css('color', 'red');

                    // Tambah badge VIP jika belum ada
                    if ($('p span').next('div').find('img[alt="VIP Member"]').length === 0) {
                        $('p span').after(`
                            <div style="margin-top: 10px;">
                                <img src="${defaultImageUrl}" alt="VIP Member" style="width: 150px; height: auto;">
                            </div>
                        `);
                    }

                    // Ganti banner
                    $('.cust-banner-mobile img').attr('src', newBannerUrl);

                    /** 
                     * Ganti switch(vipTier) jadi switch(true),
                     * lalu pakai vipTier.includes('...') 
                     * agar tetap cocok walau ada teks tambahan. 
                     */
                    switch (true) {
                      case vipTier.includes('Inject Winrate Pragmatic Play'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/2yQnQq5/ico-pragma.png" alt="Gold Star" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/2yQnQq5/ico-pragma.png" alt="Gold Star" style="width: 20px; height: 20px;">');
                        break;

                      case vipTier.includes('Inject Winrate PG Soft'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/k8yfLBP/ico-pg-soft.png" alt="Silver Star" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/k8yfLBP/ico-pg-soft.png" alt="Silver Star" style="width: 20px; height: 20px;">');
                        break;

                      case vipTier.includes('Inject Super Wild'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/tJ64k4t/ico-scatter.png" alt="Platinum Star" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/tJ64k4t/ico-scatter.png" alt="Platinum Star" style="width: 20px; height: 20px;">');
                        break;

                      case vipTier.includes('Inject RTP Maksimal'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/tJ64k4t/ico-scatter.png" alt="Platinum Fire" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/tJ64k4t/ico-scatter.png" alt="Platinum Fire" style="width: 20px; height: 20px;">');

$('li[data-area="game_slot"]').each(function () {
  if ($(this).find('.progress').length === 0) {
    var rtp = Math.floor(Math.random() * (98 - 80 + 1)) + 80;

    // Gunakan CSS inline + animation untuk blink
    // Kita buat keyframes "rtpBlink" di <style> agar animasi bisa berjalan.
    // Lihat penjelasan di bawah.
    var progressBar = `
      <style>
        @keyframes rtpBlink {
          0%, 100% {
            background-color: #ff0000; /* merah terang */
          }
          50% {
            background-color: #990000; /* merah lebih gelap */
          }
        }
      </style>
      <div class="progress" style="margin-top:5px; height:20px; background-color:#444; border-radius:10px; border: 1px solid red;">
        <div class="progress-bar progress-bar-striped progress-bar-animated" 
             style="
               width: ${rtp}%; 
               font-weight:bold; 
               color:#fff; 
               text-shadow: 1px 1px 2px black;
               animation: rtpBlink 1.5s infinite alternate;
               border-radius:10px;
             ">
          RTP ${rtp}%
        </div>
      </div>
    `;
    $(this).find('.figure-text').prepend(progressBar);
  }
});

                        break;

                      default:
                        // Kembalikan ke ikon default kalau tier tidak dikenali
                        $('i.fas.fa-star').replaceWith('<i class="fas fa-star"></i>');
                        $('i.fas.fa-fire').replaceWith('<i class="fas fa-fire"></i>');
                    }

                    // Hitung winrate random 70-98%
                    var winrate = (Math.random() * (98 - 70) + 70).toFixed(2);

                    // Tampilkan popup
                    showPopup(`Halo ${rawUsername}, Anda Berada di Mode: ${vipTier}. Winrate berhasil dinaikan ke ${winrate}%`);
                } else {
                    console.log('Username bukan member VIP.');
                }
            } else {
                console.log('Data gagal diterima');
            }
        })
        .catch(error => {
            console.error('Gagal memuat data JSON:', error);
        });

    //popup neon    
    function showPopup(message) {
        const style = `
            <style>
                @keyframes neonBlink {
                    0%, 100% {
                        box-shadow: 0 0 10px #0f0, 0 0 20px #0f0, 0 0 40px #0f0;
                    }
                    50% {
                        box-shadow: 0 0 10px #0f0, 0 0 20px #0f0, 0 0 40px #0f0, 0 0 80px #0f0;
                    }
                }
                @keyframes countdown {
                    from { stroke-dashoffset: 0; }
                    to { stroke-dashoffset: 314; }
                }
                .popup-overlay {
                    position: fixed;
                    top: 0; left: 0;
                    width: 100%; height: 100%;
                    background: rgba(0,0,0,0.75);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    z-index: 9999;
                }
                .popup-content {
                    position: relative;
                    background: #111;
                    color: #0f0;
                    border: 2px solid #0f0;
                    border-radius: 15px;
                    padding: 20px;
                    max-width: 400px;
                    width: 80%;
                    text-align: center;
                    font-family: Arial, sans-serif;
                    animation: neonBlink 1.5s ease-in-out infinite alternate;
                    box-shadow: 0 0 5px #0f0;
                }
                .popup-content img {
                    max-width: 100%;
                    height: auto;
                    margin-bottom: 15px;
                    border-radius: 10px;
                    box-shadow: 0 0 5px #0f0;
                }
                .popup-content p {
                    font-size: 18px;
                    margin-bottom: 15px;
                    font-weight: bold;
                    color: #0f0;
                }
                .popup-credit {
                    font-size: 14px;
                    margin-top: 10px;
                    font-style: italic;
                    color: #0f0;
                }
                .popup-close {
                    background-color: #e74c3c;
                    color: white;
                    border: none;
                    padding: 12px 25px;
                    font-size: 16px;
                    cursor: pointer;
                    border-radius: 5px;
                    margin-top: 15px;
                    transition: background-color 0.3s ease, box-shadow 0.3s ease;
                }
                .popup-close:hover {
                    background-color: #c0392b;
                    box-shadow: 0 0 10px #f00;
                }
                svg {
                    width: 110px;
                    height: 110px;
                }
                circle {
                    fill: none;
                    stroke: #00CF38;
                    stroke-width: 10;
                    stroke-dasharray: 314;
                    stroke-dashoffset: 0;
                    animation: countdown 3s linear forwards;
                    transform: rotate(-90deg);
                    transform-origin: 50% 50%;
                }
                .timer-text {
                    font-size: 24px;
                    fill: #00CF38;
                    font-weight: bold;
                }
            </style>
        `;
        $('head').append(style);
    
        const popup = $(`
            <div class="popup-overlay">
                <div class="popup-content">
                    <img src="${popupGifUrl}" alt="GIF Animation">
                    <p>${message}</p>
                    <svg>
                        <circle cx="55" cy="55" r="50"></circle>
                        <text class="timer-text" x="50%" y="50%" text-anchor="middle" alignment-baseline="middle">3</text>
                    </svg>
                </div>
            </div>
        `);
        $('body').append(popup);
    
        let timeLeft = 3;
        const timerText = popup.find('.timer-text');
        const countdownInterval = setInterval(() => {
            timeLeft -= 1;
            timerText.text(timeLeft);
            if (timeLeft <= 0) {
                clearInterval(countdownInterval);
                $('.popup-overlay').fadeOut(500, function() {
                    $(this).remove();
                });
            }
        }, 1000);
    }         

});
