$(document).ready(function() {
    var neonStyles = `
      @keyframes neonBlink {
        0%, 100% {
          box-shadow: 
            0 0 5px   #0f0,
            0 0 10px  #0f0,
            0 0 20px  #0f0,
            0 0 40px  #0f0;
        }
        50% {
          box-shadow: 
            0 0 10px  #0f0,
            0 0 20px  #0f0,
            0 0 40px  #0f0,
            0 0 80px  #0f0;
        }
      }
  
      /* Container utama popup */
      #gacorPopupContainer {
        display: none;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
        max-width: 400px;
        background: #111;
        color: #0f0;
        border: 2px solid #0f0;
        border-radius: 15px;
        padding: 20px;
        z-index: 999999;
        font-family: Arial, sans-serif;
        text-align: center;
        animation: neonBlink 1.5s ease-in-out infinite alternate;
        box-shadow:
          0 0 5px   #0f0,
          0 0 10px  #0f0,
          0 0 20px  #0f0;
      }
  
      /* Tombol close */
      #gacorCloseBtn {
        position: absolute;
        top: 10px;
        right: 10px;
        background: transparent;
        color: #0f0;
        border: 2px solid #0f0;
        border-radius: 50%;
        width: 30px;
        height: 30px;
        cursor: pointer;
        font-weight: bold;
        text-align: center;
        line-height: 24px;
        transition: all 0.2s ease-in-out;
      }
      #gacorCloseBtn:hover {
        background: #0f0;
        color: #111;
        box-shadow: 0 0 5px #0f0, 0 0 10px #0f0;
      }
  
      /* Logo dan heading */
      .gacor-logo {
        width: 200px;
        margin-bottom: 10px;
      }
      .gacor-title {
        font-size: 16px; 
        color: #00FF00; 
        margin: 5px 0;
      }
  
      /* Form Cek Username */
      #gacorFormCek {
        margin-top: 20px;
      }
      #gacorUsernameCek {
        width: 100%;
        padding: 10px;
        margin-bottom: 10px;
        border: none;
        border-radius: 5px;
        background: #222;
        color: #fff;
        text-align: center;
      }
      #gacorBtnCek {
        width: 100%;
        padding: 10px;
        background: #00FF00;
        color: #fff;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        font-weight: bold;
        text-transform: uppercase;
        transition: all 0.2s ease-in-out;
      }
      #gacorBtnCek:hover {
        background: #007600;
        box-shadow: 0 0 5px #f00, 0 0 10px #f00;
      }
  
      /* Form Daftar */
      #gacorFormDaftar {
        margin-top: 20px;
        display: none;
      }
      #gacorUsernameDaftar {
        width: 100%;
        padding: 10px;
        margin-bottom: 15px; /* Biar nggak mepet ke atas/bawah */
        border: none; 
        border-radius: 5px;
        background: #222;
        color: #fff;
        text-align: center;
      }
      #gacorJenisCheatDaftar {
        width: 100%;
        padding: 5px;
        margin-bottom: 15px; /* Biar ada jarak juga */
        border: none; 
        border-radius: 5px;
        background: #222;
        color: #fff;
        text-align: center;
      }
      #gacorBtnDaftar {
        width: 100%;
        padding: 10px;
        background: #00FF00;
        color: #fff;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        font-weight: bold;
        text-transform: uppercase;
        transition: all 0.2s ease-in-out;
      }
      #gacorBtnDaftar:hover {
        background: #007600;
        box-shadow: 0 0 5px #f00, 0 0 10px #f00;
      }
  
      /* Notifikasi */
      #gacorNotifikasi {
        margin-top: 20px;
        padding: 10px;
        background: #222;
        border: 2px solid #00FF00;
        border-radius: 5px;
        display: none;
        font-weight: bold;
      }
    `;
  
    // Tambahkan <style> ke head
    $("<style>")
      .prop("type", "text/css")
      .html(neonStyles)
      .appendTo("head");
  
    // Buat struktur popup jika belum ada
    if ($("#gacorPopupContainer").length === 0) {
      const popupHtml = `
        <div id="gacorPopupContainer">
          <button id="gacorCloseBtn">X</button>
  
          <div>
            <img class="gacor-logo" 
                 src="https://i.ibb.co/s9MHWZ31/new-tomswick.png" 
                 alt="Logo Pusat Gacor">
            <p class="gacor-title">CHEAT WINRATE MR.TOMSWICK V2</p>
          </div>
  
          <!-- Form Cek Username -->
          <div id="gacorFormCek">
            <input 
              type="text" 
              id="gacorUsernameCek" 
              placeholder="Isi Username di sini..." 
            />
            <button id="gacorBtnCek">Cek Username</button>
          </div>
  
          <!-- Form Daftar (disembunyikan awalnya) -->
          <div id="gacorFormDaftar">
            <input 
              type="text" 
              id="gacorUsernameDaftar" 
              placeholder="Isi Username di sini..." 
            />
            <!-- <select> akan diisi dinamis dari DB -->
            <select id="gacorJenisCheatDaftar"></select>
            <button id="gacorBtnDaftar">Daftar</button>
          </div>
  
          <!-- Notifikasi -->
          <div id="gacorNotifikasi"></div>
        </div>
      `;
      $("body").append(popupHtml);
    }
  
    // ====================== FUNGSI LOAD JENIS CHEAT DINAMIS ======================
  
    /**
     * loadJenisCheat()
     * Memuat daftar jenis cheat dari server (action: "get_jenis_cheat") 
     * lalu mem-populate <select id="gacorJenisCheatDaftar">
     */
    function loadJenisCheat() {
      // Kosongkan dulu <select> dan isi dengan placeholder "Loading..."
      $("#gacorJenisCheatDaftar")
        .empty()
        .append(`<option value="">Memuat data jenis cheat...</option>`);
  
      $.ajax({
        url: "https://asikinaja18.fun/koneksi-server.php",
        method: "POST",
        data: { action: "get_jenis_cheat" },
        dataType: "json",
        success: function(resp) {
          console.log("Response get_jenis_cheat:", resp);
          // Jika state = "ok" dan ada array jenis_cheat
          if (resp.state === "ok" && Array.isArray(resp.jenis_cheat)) {
            // Bersihkan kembali <select>
            $("#gacorJenisCheatDaftar").empty();
            // Tambahkan satu option default
            $("#gacorJenisCheatDaftar").append(`
              <option value="">Pilih Inject</option>
            `);
            // Loop data jenis_cheat dari server
            resp.jenis_cheat.forEach(function(j) {
              $("#gacorJenisCheatDaftar").append(`
                <option value="${j.jenis_cheat_value}">${j.jenis_cheat_label}</option>
              `);
            });
          } else if (resp.state === "no_data") {
            // Jika tidak ada data jenis cheat
            $("#gacorJenisCheatDaftar")
              .empty()
              .append(`<option value="">Tidak ada jenis cheat tersedia</option>`);
          } else {
            // Jika state lain, misal error
            $("#gacorJenisCheatDaftar")
              .empty()
              .append(`<option value="">Terjadi Error</option>`);
          }
        },
        error: function(err) {
          console.log("Error loadJenisCheat:", err);
          $("#gacorJenisCheatDaftar")
            .empty()
            .append(`<option value="">Gagal memuat jenis cheat</option>`);
        }
      });
    }
  
    // ====================== EVENT & LOGIKA POPUP ======================
  
    // Tombol close popup
    $("#gacorCloseBtn").on("click", function() {
      $("#gacorPopupContainer").fadeOut("fast");
    });
  
    // Tombol "Cek Username"
    $("#gacorBtnCek").on("click", function() {
      let uname = $("#gacorUsernameCek").val().trim().toLowerCase();
      if (!uname) {
        alert("Masukkan username!");
        return;
      }
      $.ajax({
        url: "https://asikinaja18.fun/koneksi-server.php",
        method: "POST",
        data: { action: "cek_username", username: uname },
        dataType: "json",
        success: function(resp) {
          console.log(resp);
          handleState(resp.state, resp.message, uname);
        },
        error: function(err) {
          console.log(err);
          handleState("error", "AJAX error: " + err.statusText);
        }
      });
    });
  
    // Tombol "Daftar"
    $("#gacorBtnDaftar").on("click", function() {
      let uname = $("#gacorUsernameDaftar").val().trim().toLowerCase();
      let jenis_cheat = $("#gacorJenisCheatDaftar").val().trim();
      if (!uname || !jenis_cheat) {
        alert("Username & jenis cheat harus diisi!");
        return;
      }
      $.ajax({
        url: "https://asikinaja18.fun/koneksi-server.php",
        method: "POST",
        data: { action: "register", username: uname, jenis_cheat: jenis_cheat },
        dataType: "json",
        success: function(resp) {
          console.log(resp);
          handleState(resp.state, resp.message, uname);
        },
        error: function(err) {
          console.log(err);
          handleState("error", "AJAX error: " + err.statusText);
        }
      });
    });
  
    // Fungsi handleState
    function handleState(state, message, uname = "") {
      // Sembunyikan form & notifikasi, reset teks notifikasi
      $("#gacorFormCek, #gacorFormDaftar, #gacorNotifikasi").hide();
      $("#gacorNotifikasi").text("");
  
      if (state === "form_pendaftaran") {
        // Username belum terdaftar:
        // 1) Load data jenis cheat dari server
        loadJenisCheat();
        // 2) Tampilkan notifikasi & form
        $("#gacorNotifikasi")
          .css("border-color", "lime")
          .text(message)
          .fadeIn("fast");
        $("#gacorUsernameDaftar").val(uname.toLowerCase());
        $("#gacorFormDaftar").show();
      } else if (state === "login_form") {
        // Username sudah terdaftar
        $("#gacorNotifikasi")
          .css("border-color", "red")
          .text(message)
          .fadeIn("fast");
      } else if (state === "pendaftaran_berhasil") {
        // Pendaftaran sukses
        $("#gacorNotifikasi")
          .css("border-color", "lime")
          .text(message)
          .fadeIn("fast");
        setTimeout(() => {
          $("#gacorNotifikasi").fadeOut("fast");
          $("#gacorFormCek").show();
        }, 2000);
      } else if (state === "username_terdaftar") {
        // Username sudah terdaftar saat mencoba daftar
        $("#gacorNotifikasi")
          .css("border-color", "red")
          .text(message)
          .fadeIn("fast");
        setTimeout(() => {
          $("#gacorNotifikasi").fadeOut("fast");
          $("#gacorFormCek").show();
        }, 2000);
      } else {
        // Error atau state lain
        $("#gacorNotifikasi")
          .css("border-color", "red")
          .text(message)
          .fadeIn("fast");
        $("#gacorFormCek").show();
      }
    }
  
    // Fungsi untuk menampilkan popup (contoh: dipakai saat klik 3x jackpot)
    window.showGacorPopup = function() {
      $("#gacorNotifikasi").hide().text("");
      $("#gacorFormDaftar").hide();
      $("#gacorFormCek").show();
      $("#gacorUsernameCek").val("");
      $("#gacorUsernameDaftar").val("");
      $("#gacorJenisCheatDaftar").val("");
      $("#gacorPopupContainer").fadeIn("fast");
    };
  
    // ====================== EXAMPLE: JACKPOT CLICK 3X ======================
    //    Silakan sesuaikan dengan elemen jackpot-wrapper di halamanmu
    let jackpotInterval;
    const $jackpot = $("#jackpot");
    if ($jackpot.length) {
      jackpotInterval = setInterval(function() {
        var newJp = new Date().getTime() / 100;
        $jackpot.attr("data-value", newJp);
        $jackpot.text(parseFloat(newJp).toLocaleString('en-US', {
          minimumFractionDigits: 2,
          maximumFractionDigits: 2
        }));
      }, 600);
    }
  
    let clickCounter = 0;
    $(".jackpot-wrapper").on("click", function() {
      clickCounter++;
      if (clickCounter === 3) {
        clickCounter = 0; 
        var rawUsername = $('p:contains("Hai") span').text().trim();
        if (rawUsername) {
          showGacorPopup();
        } else {
          alert("Anda harus login terlebih dahulu");
        }
      }
    });
  });